Summary:	Symlink farm manager
Name:		stow
Version:	2.4.1
Release:	%mkrel 1
License:	GPLv2
Group:		File tools
Url:		https://www.gnu.org/software/stow/
Source0:	https://ftp.gnu.org/gnu/stow/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	texinfo
BuildRequires:	texinfo-tex

%description
GNU Stow is a symlink farm manager which takes distinct packages of
software and/or data located in separate directories on the
filesystem, and makes them appear to be installed in the same
place. For example, /usr/local/bin could contain symlinks to files
within /usr/local/stow/emacs/bin, /usr/local/stow/perl/bin etc., and
likewise recursively for any other subdirectories such as .../share,
.../man, and so on.

This is particularly useful for keeping track of system-wide and
per-user installations of software built from source, but can also
facilitate a more controlled approach to management of configuration
files in the user's home directory, especially when coupled with
version control systems.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install PMDIR=%{perl_vendorlib}

%files
%doc %{_docdir}/%{name}
%{_bindir}/chk%{name}
%{_bindir}/%{name}
%{perl_vendorlib}/Stow.pm
%{perl_vendorlib}/Stow/Util.pm
%{_mandir}/man8/%{name}.8*
%{_infodir}/%{name}.info*


%changelog
* Thu Nov 21 2024 daviddavid <daviddavid> 2.4.1-1.mga10
+ Revision: 2118042
- new version: 2.4.1

* Sun Jun 16 2024 daviddavid <daviddavid> 2.4.0-1.mga10
+ Revision: 2074521
- new version: 2.4.0

* Mon Mar 21 2022 umeabot <umeabot> 2.3.1-4.mga9
+ Revision: 1813127
- Mageia 9 Mass Rebuild

* Thu Aug 20 2020 ovitters <ovitters> 2.3.1-3.mga8
+ Revision: 1616843
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Sat Feb 15 2020 umeabot <umeabot> 2.3.1-2.mga8
+ Revision: 1527938
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Jul 29 2019 daviddavid <daviddavid> 2.3.1-1.mga8
+ Revision: 1424815
- new version: 2.3.1

* Fri Jul 05 2019 daviddavid <daviddavid> 2.3.0-1.mga8
+ Revision: 1418642
- new version: 2.3.0

* Sun Oct 07 2018 daviddavid <daviddavid> 2.2.2-4.mga7
+ Revision: 1318464
- install perl files under perl_vendorlib
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.2.2-2.mga6
+ Revision: 1036530
- Rebuild for perl 5.22.2

* Fri Apr 22 2016 blino <blino> 2.2.2-1.mga6
+ Revision: 1005377
- initial package (2.2.2)
- Created package structure for stow.

